Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartPreviewPainter

All Superinterfaces:
  `org.eclipse.swt.events.ControlListener`, `EventListener`

public interface IChartPreviewPainter extends org.eclipse.swt.events.ControlListener

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`renderModel(org.eclipse.birt.chart.model.IChartObject chart)`
`void`
`setPreview(org.eclipse.swt.widgets.Canvas previewCanvas)`

### Methods inherited from interface org.eclipse.swt.events.ControlListener

`controlMoved, controlResized`

## Method Details

### dispose

void dispose()

### renderModel

void renderModel(org.eclipse.birt.chart.model.IChartObject chart)

### setPreview

void setPreview(org.eclipse.swt.widgets.Canvas previewCanvas)